<vn>
<vn-group>
	<db-form id="iter"
		on-ready="this.onReady()">
		<db-model
			id="model"
			property="model"
			updatable="true"
			lot="hash">
			SELECT id, title, text, tag, priority, image
				FROM news WHERE id = #new
		</db-model>
	</db-form>
</vn-group>
<div id="title">
	<h1><t>AddEditNew</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		icon="close"
		tip="_Return"
		on-click="this.onReturnClick()"/>
	<htk-bar-button
		icon="check"
		tip="_Accept"
		on-click="this.onAcceptClick()"/>
</div>
<div id="form" class="hedera-new">
	<div class="box form vn-w-sm">
		<htk-image
			form="iter"
			column="image"
			class="photo"
			directory="news"
			subdir="full"
			full-dir="full"
			editable="true"
			conn="conn"/>
		<div class="vn-pa-lg">
			<div class="form-group">
				<label><t>Title</t></label>
				<htk-entry form="iter" column="title"/>
			</div>
			<div class="form-group tag-priority">
				<div>
					<label><t>Tag</t></label>
					<htk-combo form="iter" column="tag">
						<db-model property="model">
							SELECT name, description FROM newsTag
								ORDER BY description
						</db-model>
					</htk-combo>
				</div>
				<div>
					<label><t>Priority</t></label>
					<htk-entry form="iter" column="priority"/>
				</div>
			</div>
			<div class="form-group">
				<label><t>NewBody</t></label>
				<textarea id="html-editor"/>
			</div>
		</div>
	</div>
</div>
</vn>
